[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.UpdateHandles

Sets the Bitmap and Mask handles for the current image in the icon.

## Declaration

Source position: graphics.pp line 1648

`protected function TCustomIcon.UpdateHandles(`
`ABitmap: HBITMAP;`
`AMask: HBITMAP`
`):Boolean; override;`

## Arguments

`ABitmap` |  | Bitmap handle for the current image in the icon.
`AMask` |  | Mask handle for the current image in the icon.

## Function result

True if the new handles are successfully applied to the icon image.

## Description

UpdateHandles is an overridden method used to set the Bitmap and Mask handles for the Current icon image to the specified values. UpdateHandles implements the abstract virtual method defined in the ancestor class.

UpdateHandles uses the value in Current to determine the TIconImage in the internal image list that is updated in the method.

When Current is set to -1, an icon image has not been selected and no actions are performed in the method. The return value is False if the handles could not be applied to icon image.

UpdateHandles calls the UpdateHandles method for the TIconImage indicated in Current using the values in ABitmap and AMask as arguments. The return value is True if the handles are successfully applied to the icon image.

UpdateHandles is called from methods like:

- BitmapHandleNeeded
- MaskHandleNeeded
- UpdateHandle
- Assign

## See also

TRasterImage.UpdateHandles |  | Updates image handles when the raw image data is loaded.